package s_com.udojava.evalex;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.math.BigDecimal;
import java.util.List;
import s_com.udojava.evalex.Expression;

public abstract class Function {
  private String name;
  
  private int numParams;
  
  public Function(String name, int numParams) {
    this.name = name.toUpperCase();
    this.numParams = numParams;
  }
  
  public String getName() {
    return this.name;
  }
  
  public int getNumParams() {
    return this.numParams;
  }
  
  public abstract BigDecimal eval(List<BigDecimal> paramList);
}
